## progsreiserfs-0.3.0.5.tar.bz2

=== debian/Makefile ===
#
.PHONY:	dummy



tidy:	dummy
	rm -f *~
