=== debian/changelog ===
progsreiserfs (0.3.0.5-1) unstable; urgency=low

  * Updated to newer upstream version ... (Closes: #231304)
    - Will this work? (Closes: #244169)

  * Corrected description for progsreiserfs (Closes: #273515)

  * build process
    - Compatibility mode bumped to v4
    - Upgraded to automake1.7, improved autotools interaction
    - Updated libtool (Closes: #252587)

  * Package sponsored by Enrico Zini <enrico@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat, 14 Jan 2006 19:35:08 +0100

progsreiserfs (0.3.0.4-4) unstable; urgency=low

  * Adopt orphaned package. Current maintainer has resigned from Debian.
    Thanks for your work so far, Timshel; Good luck! (Closes: #249837)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 28 May 2004 22:49:13 +0200

progsreiserfs (0.3.0.4-3) unstable; urgency=low

  * Re-apply patch fs-args-fix to accept dummy -a and -y opts, it got lost
    in the dpatch-ification of progsreiserfs (closes: #237718)
  * Re-apply patch  to link to the local libdal, which means libreiserfs should
    now build again properly. (closes: #237709)

 -- Timshel Knoll-Miller <timshel@debian.org>  Mon, 15 Mar 2004 08:33:26 +1100

progsreiserfs (0.3.0.4-2) unstable; urgency=low

  * Build libreiserfs0.3-udeb for use in debian-installer.
    (Requires Build-Depends: debhelper (>= 4.2)) (closes: #236218)
  * Don't have progsreiserfs Suggests: non-existent progsreiserfs-doc package.
    (closes: #182016)
  * Added mkfs-speling.dpatch to fix speling error in mkfs.reiserfs.
    (closes: #233742)
  * Update to Policy 3.6.1.
  * debian/rules: pull in new config.guess & config.sub when running "clean".

 -- Timshel Knoll-Miller <timshel@debian.org>  Wed, 10 Mar 2004 11:15:23 +1100

progsreiserfs (0.3.0.4-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue, 21 Jan 2003 00:23:49 +1100

progsreiserfs (0.3.0.3-6) unstable; urgency=low

  * Fixed more sparc compile issues
    (really really REALLY closes: #172790 - I've tested it this time!)

 -- Timshel Knoll <timshel@debian.org>  Tue, 17 Dec 2002 01:23:57 +1100

progsreiserfs (0.3.0.3-5) unstable; urgency=low

  * include/reiserfs/{hashes,key,reiserfs}.h, libreiserfs/tools.c:
    Fixed other #include's of <sys/int_types.h> on sparc!!
    (really closes: #172790)
  * debian/control.in: Standards-Version: 3.5.8
    + Always build with gcc -g

 -- Timshel Knoll <timshel@debian.org>  Mon, 16 Dec 2002 15:05:25 +1100

progsreiserfs (0.3.0.3-4) unstable; urgency=low

  * include/reiserfs/key.h: don't #include <sys/int_types.h> when building on
    sparc, it doesn't exist. #include <sys/int_types.h> (this should fix the
    build failure on sparc) (closes: #172790)

 -- Timshel Knoll <timshel@debian.org>  Fri, 13 Dec 2002 08:47:08 +1100

progsreiserfs (0.3.0.3-3) unstable; urgency=low

  * debian/control: Replace versioned Build-Depends: on automake with
                    automake1.4 (closes: #166392)

 -- Timshel Knoll <timshel@debian.org>  Thu,  7 Nov 2002 11:05:19 +1100

progsreiserfs (0.3.0.3-2) unstable; urgency=low

  * Added bogus -a and -y flags to fsck.reiserfs (closes: #161447)

 -- Timshel Knoll <timshel@debian.org>  Sat, 21 Sep 2002 15:48:12 +1000

progsreiserfs (0.3.0.3-1) unstable; urgency=low

  * Initial Release (closes: #144620).

 -- Timshel Knoll <timshel@debian.org>  Wed, 11 Sep 2002 00:37:56 +1000
