=== debian/control ===
Source: progsreiserfs
Section: admin
Priority: optional
Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.2.0), automake1.7, uuid-dev, dpatch

Package: progsreiserfs
Architecture: any
Section: admin
Priority: extra
Depends: ${shlibs:Depends}
Conflicts: reiserfsprogs
Provides: reiserfsprogs
Description: Third-party alternative tools to manipulate ReiserFS filesystems
 progsreiserfs is a collection of tools for manipulating
 ReiserFS filesystems. There are tools to create, check,
 resize, tune and copy ReiserFS filesystems.
 .
 These tools differ from the standard Namesys ReiserFS tools
 in that they use libreiserfs to do their work.
 .
 Reiserfsprogs is the "official" implementation, created by namesys.
 Progsreiserfs is an alternate implementation. It does the same thing;
 which you use depends on your preference.

Package: libreiserfs0.3-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: progsreiserfs, libreiserfs0.3-dev, parted
Provides: libreiserfs
Replaces: libreiserfs0.3-udeb
Description: ReiserFS access and manipulation library, shared libraries
 libreiserfs is a library for ReiserFS filesystem access and
 manipulation. The primary goal is to develop a fully
 functional library which may be linked from other projects
 which need ReiserFS filesystem access. GNU Parted can
 currently use libreiserfs, other programs which may include
 GNU GRUB, Yaboot, partimage and EVMS. This package contains the shared
 libraries for libreiserfs.  They are needed for the ReiserFS utility
 programs in the progsreiserfs package, as well as to use any other
 libreiserfs - using program (eg. the ReiserFS functionality of GNU Parted).

Package: libreiserfs0.3-udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: libc-udeb
XC-Package-Type: udeb
Description: ReiserFS access and manipulation library
 libreiserfs is a library for ReiserFS filesystem access and
 manipulation. The primary goal is to develop a fully
 functional library which may be linked from other projects
 which need ReiserFS filesystem access. GNU Parted can
 currently use libreiserfs, other programs which may include
 GNU GRUB, Yaboot, partimage and EVMS. This package contains
 a cut-down version of the shared libraries with no
 documentation for use in the Debian installer. This gives
 ReiserFS support to Parted.

Package: libreiserfs0.3-dev
Architecture: any
Section: devel
Depends: libc6-dev, libreiserfs0.3-0 (= ${Source-Version})
Suggests: progsreiserfs (= ${Source-Version})
Conflicts: libreiserfs-dev
Replaces: libreiserfs-dev
Provides: libreiserfs-dev
Description: ReiserFS access and manipulation library - development files
 libreiserfs is a library for ReiserFS filesystem access and
 manipulation. The primary goal is to develop a fully
 functional library which may be linked from other projects
 which need ReiserFS filesystem access. GNU Parted can
 currently use libreiserfs, other programs which may include
 GNU GRUB, Yaboot, partimage and EVMS.
 .
 This package contains the header files and static libraries
 for libreiserfs. They are needed for doing development with
 libreiserfs.

Package: libreiserfs0.3-dbg
Architecture: any
Section: devel
Priority: extra
Depends: libreiserfs0.3-0 (= ${Source-Version}), libreiserfs0.3-dev (= ${Source-Version})
Conflicts: libreiserfs-dbg
Replaces: libreiserfs-dbg
Provides: libreiserfs-dbg
Description: ReiserFS access and manipulation library - debug version
 libreiserfs is a library for ReiserFS filesystem access and
 manipulation. The primary goal is to develop a fully
 functional library which may be linked from other projects
 which need ReiserFS filesystem access. GNU Parted can
 currently use libreiserfs, other programs which may include
 GNU GRUB, Yaboot, partimage and EVMS.
 .
 This package contains the debugging static libraries for
 libreiserfs, which is needed for debugging programs linked
 with libreiserfs. The debugging libraries are installed as
 /usr/lib/libdal_g.a and /usr/lib/libreiserfs_g.a. You need
 to link specifically with them if you want to debug your
 programs.
